Package org.h2gis.functions.spatial.clean

# Class ST_MakeValid

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.clean.ST_MakeValid

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_MakeValid extends org.h2gis.api.DeterministicScalarFunction
Function to make a geometry valid.

Author:
  Michaël Michaud, Erwan Bocher, CNRS

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`REMARKS`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_MakeValid()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`validGeom(org.locationtech.jts.geom.Geometry geometry)`
`static org.locationtech.jts.geom.Geometry`
`validGeom(org.locationtech.jts.geom.Geometry geometry, boolean preserveGeomDim)`
`static org.locationtech.jts.geom.Geometry`
`validGeom(org.locationtech.jts.geom.Geometry geometry, boolean preserveGeomDim, boolean preserveDuplicateCoord)`
`static org.locationtech.jts.geom.Geometry`
`validGeom(org.locationtech.jts.geom.Geometry geometry, boolean preserveGeomDim, boolean preserveDuplicateCoord, boolean preserveCoordDim)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Field Details

### REMARKS

public static final String REMARKS

See Also:
  - Constant Field Values

## Constructor Details

### ST_MakeValid

public ST_MakeValid()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### validGeom

public static org.locationtech.jts.geom.Geometry validGeom(org.locationtech.jts.geom.Geometry geometry) throws SQLException

Throws:
  `SQLException`

### validGeom

public static org.locationtech.jts.geom.Geometry validGeom(org.locationtech.jts.geom.Geometry geometry, boolean preserveGeomDim) throws SQLException

Throws:
  `SQLException`

### validGeom

public static org.locationtech.jts.geom.Geometry validGeom(org.locationtech.jts.geom.Geometry geometry, boolean preserveGeomDim, boolean preserveDuplicateCoord) throws SQLException

Throws:
  `SQLException`

### validGeom

public static org.locationtech.jts.geom.Geometry validGeom(org.locationtech.jts.geom.Geometry geometry, boolean preserveGeomDim, boolean preserveDuplicateCoord, boolean preserveCoordDim) throws SQLException

Parameters:
  `geometry` -
  `preserveGeomDim` -
  `preserveDuplicateCoord` -
  `preserveCoordDim` -
Returns:
Throws:
  `SQLException`